bzr resolved does not resolve shape conflicts

Bug #389396 reported by Ernst on 2009-06-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Bazaar
High
Unassigned
Breezy
Medium
Unassigned

Bug Description

I had a conflict, and thus I resolved the conflict by hand. Then, I did 'bzr resolved <file>'. However, bzr told me the files were not conflicted, and I still could not commit. See the console log below. What's going wrong here?

~/Documents/Kelder/TaakProg$ bzr resolved database.txt
Kelder/TaakProg/database.txt is not conflicted

~/Documents/Kelder/TaakProg$ bzr resolved TaakProg/Taak.java
Kelder/TaakProg/TaakProg/Taak.java is not conflicted

~/Documents/Kelder/TaakProg$ bzr conflicts
Conflict adding file Kelder/TaakProg/TaakProg/Taak.java.BASE. Moved existing file to Kelder/TaakProg/TaakProg/Taak.java.BASE.moved.
Conflict adding file Kelder/TaakProg/TaakProg/Taak.java.OTHER. Moved existing file to Kelder/TaakProg/TaakProg/Taak.java.OTHER.moved.
Conflict adding file Kelder/TaakProg/TaakProg/Taak.java.THIS. Moved existing file to Kelder/TaakProg/TaakProg/Taak.java.THIS.moved.
Conflict adding file Kelder/TaakProg/database.txt.BASE. Moved existing file to Kelder/TaakProg/database.txt.BASE.moved.
Conflict adding file Kelder/TaakProg/database.txt.OTHER. Moved existing file to Kelder/TaakProg/database.txt.OTHER.moved.
Conflict adding file Kelder/TaakProg/database.txt.THIS. Moved existing file to Kelder/TaakProg/database.txt.THIS.moved.

~/Documents/Kelder/TaakProg$ bzr commit -m ""
bzr: ERROR: Conflicts detected in working tree. Use "bzr conflicts" to list, "bzr resolve FILE" to resolve.

Ernst (ernst-blaauw) wrote :

Fri 2009-06-19 11:05:22 +0200
0.054 bzr arguments: [u'resolved', u'database.txt']
0.096 looking for plugins in /home/<user>/.bazaar/plugins
0.097 looking for plugins in /usr/lib/python2.6/dist-packages/bzrlib/plugins
0.196 encoding stdout as sys.stdout encoding 'UTF-8'
0.242 opening working tree '/mnt/Documenten/Documenten'
0.322 return code 0

Fri 2009-06-19 11:05:27 +0200
0.040 bzr arguments: [u'resolved', u'TaakProg/Taak.java']
0.065 looking for plugins in /home/<user>/.bazaar/plugins
0.065 looking for plugins in /usr/lib/python2.6/dist-packages/bzrlib/plugins
0.177 encoding stdout as sys.stdout encoding 'UTF-8'
0.234 opening working tree '/mnt/Documenten/Documenten'
0.281 return code 0

Fri 2009-06-19 11:05:31 +0200
0.048 bzr arguments: [u'conflicts']
0.067 looking for plugins in /home/<user>/.bazaar/plugins
0.068 looking for plugins in /usr/lib/python2.6/dist-packages/bzrlib/plugins
0.164 encoding stdout as sys.stdout encoding 'UTF-8'
0.209 opening working tree '/mnt/Documenten/Documenten'
0.217 return code 0

Fri 2009-06-19 11:05:35 +0200
0.056 bzr arguments: [u'commit', u'-m', u'']
0.078 looking for plugins in /home/<user>/.bazaar/plugins
0.078 looking for plugins in /usr/lib/python2.6/dist-packages/bzrlib/plugins
0.172 encoding stdout as sys.stdout encoding 'UTF-8'
0.222 opening working tree '/mnt/Documenten/Documenten'
0.247 FTP get: /afstuderen/trunk/.bzr/branch-format
0.248 Constructing FTP instance against ('ftp.<user>.nl', None, u'<inlog>', '********', False)
0.561 FTP get: /afstuderen/trunk/.bzr/branch/format
0.698 FTP stat: /afstuderen/trunk/.bzr/branch
0.773 FTP get: /afstuderen/trunk/.bzr/repository/format
0.907 FTP stat: /afstuderen/trunk/.bzr/repository
1.000 FTP get: /afstuderen/trunk/.bzr/branch/branch.conf
1.134 FTP get: /afstuderen/trunk/.bzr/branch/branch.conf
1.267 FTP get: /afstuderen/trunk/.bzr/repository/pack-names
1.400 FTP get: /afstuderen/trunk/.bzr/branch/branch.conf
1.535 FTP get: /afstuderen/trunk/.bzr/branch/branch.conf
1.668 preparing to commit
1.691 Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/bzrlib/commands.py", line 729, in exception_to_return_code
    return the_callable(*args, **kwargs)
  File "/usr/lib/python2.6/dist-packages/bzrlib/commands.py", line 924, in run_bzr
    ret = run(*run_argv)
  File "/usr/lib/python2.6/dist-packages/bzrlib/commands.py", line 560, in run_argv_aliases
    return self.run(**all_cmd_args)
  File "/usr/lib/python2.6/dist-packages/bzrlib/builtins.py", line 2944, in run
    raise errors.BzrCommandError('Conflicts detected in working '
BzrCommandError: Conflicts detected in working tree. Use "bzr conflicts" to list, "bzr resolve FILE" to resolve.

1.691 return code 3

Ernst (ernst-blaauw) wrote :

 bzr info
Checkout (format: 1.14-rich-root)
Location:
       checkout root: /mnt/Documenten/Documenten
  checkout of branch: ftp://<url>l/afstuderen/trunk/

bzr version
Bazaar (bzr) 1.16rc1
  Python interpreter: /usr/bin/python 2.6.2
  Python standard library: /usr/lib/python2.6
  bzrlib: /usr/lib/python2.6/dist-packages/bzrlib
  Bazaar configuration: /home/<user>/.bazaar
  Bazaar log file: /home/<user>/.bzr.log

Copyright 2005, 2006, 2007, 2008, 2009 Canonical Ltd.
http://bazaar-vcs.org/

bzr comes with ABSOLUTELY NO WARRANTY. bzr is free software, and
you may use, modify and redistribute it under the terms of the GNU
General Public License version 2 or later.

Ernst (ernst-blaauw) wrote :

And 'bzr resolve --all' works.

Martin Pool (mbp) wrote :

I think for autoresolution to work you need to delete one of the .moved files. Or you can, as you worked out, run resolve --all. But the interface here is not very good.

summary: - bzr resolved does not work
+ bzr resolved does not resolve shape conflicts
Changed in bzr:
importance: Undecided → High
status: New → Confirmed
Ernst (ernst-blaauw) wrote :

What I did earlier, was moving the file THIS.other to the mainfile.java (I mean database.txt or Taak.java), and after that, I removed all *.java.* and *.txt.*. So, the directory only has the conflicted file and no renamed THIS, OTHER, etc files. I thought I had to remove those files and make the main file the correct one, before calling bzr resolve mainfile.java. But then, I get those errors above.

Jelmer Vernooij (jelmer) on 2011-02-01
tags: added: conflicts
Jelmer Vernooij (jelmer) on 2017-11-08
tags: added: check-for-breezy
Jelmer Vernooij (jelmer) on 2017-11-12
Changed in brz:
status: New → Triaged
importance: Undecided → Medium
tags: added: confusing-ui
removed: check-for-breezy
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers